Subject: Solved: Exception on `guix install nss-certs`

From: Raimundo Martins <[email-masked]>
Date: Mon, 25 Oct 2021 21:15:23 +0000

Hey!

Turns out that, since I use the runit init system, GUIX_LOCPATH wasn't being set anytime before guix-daemon started, since /etc/profile.d/guix.sh was not sourced.
As a fix I set that variable by hand in my init script.
If you want to have runit as a known init system in the installer script, I suggest adding to chk_init_sys()

elif $(runit 2>/dev/null; [ $? = 111 ]); then
    _msg "${INF}init system is: runit"
    INIT_SYS="runit"
    return 0

and to the case in sys_enable_guix_daemon()

runit)
mkdir /etc/sv/guix-daemon
echo "#!/bin/sh
GUIX_LOCPATH=/var/guix/profiles/per-user/root/guix-profile/lib/locale exec /var/guix/profiles/per-user/root/current-guix/bin/guix-daemon --build-users-group=guixbuild" >/etc/sv/guix-daemon/run
chmod 755 /etc/sv/guix-daemon/run
ln -sT /etv/sv/guix-daemon /var/service/guix-daemon
;;

Or something like that :P Thanks for your support in IRC #guix !!

Regards,
Raimundo